Create Job
curl --request POST \
--url https://api.example.com/v1/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"entrypoint": [
"<string>"
],
"gpu": "none",
"image": "python:3.12-slim",
"max_attempts": 3,
"name": "python-job",
"project_id": "<string>",
"timeout_seconds": 300
}
'import requests
url = "https://api.example.com/v1/jobs"
payload = {
"entrypoint": ["<string>"],
"gpu": "none",
"image": "python:3.12-slim",
"max_attempts": 3,
"name": "python-job",
"project_id": "<string>",
"timeout_seconds": 300
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entrypoint: ['<string>'],
gpu: 'none',
image: 'python:3.12-slim',
max_attempts: 3,
name: 'python-job',
project_id: '<string>',
timeout_seconds: 300
})
};
fetch('https://api.example.com/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entrypoint' => [
'<string>'
],
'gpu' => 'none',
'image' => 'python:3.12-slim',
'max_attempts' => 3,
'name' => 'python-job',
'project_id' => '<string>',
'timeout_seconds' => 300
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/jobs"
payload := strings.NewReader("{\n \"entrypoint\": [\n \"<string>\"\n ],\n \"gpu\": \"none\",\n \"image\": \"python:3.12-slim\",\n \"max_attempts\": 3,\n \"name\": \"python-job\",\n \"project_id\": \"<string>\",\n \"timeout_seconds\": 300\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/jobs")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"entrypoint\": [\n \"<string>\"\n ],\n \"gpu\": \"none\",\n \"image\": \"python:3.12-slim\",\n \"max_attempts\": 3,\n \"name\": \"python-job\",\n \"project_id\": \"<string>\",\n \"timeout_seconds\": 300\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entrypoint\": [\n \"<string>\"\n ],\n \"gpu\": \"none\",\n \"image\": \"python:3.12-slim\",\n \"max_attempts\": 3,\n \"name\": \"python-job\",\n \"project_id\": \"<string>\",\n \"timeout_seconds\": 300\n}"
response = http.request(request)
puts response.read_body{
"allocated_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"attempt": 123,
"cancel_requested": true,
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"entrypoint": [
"<string>"
],
"error_code": "<string>",
"error_message": "<string>",
"gpu": "<string>",
"id": "<string>",
"image": "<string>",
"max_attempts": 123,
"name": "<string>",
"project_id": "<string>",
"provider_name": "<string>",
"ready_at": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"status": "queued",
"timeout_seconds": 123,
"updated_at": "2023-11-07T05:31:56Z",
"version": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"type": "<string>"
}
]
},
"request_id": "<string>"
}Jobs
Create Job
POST
/
v1
/
jobs
Create Job
curl --request POST \
--url https://api.example.com/v1/jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"entrypoint": [
"<string>"
],
"gpu": "none",
"image": "python:3.12-slim",
"max_attempts": 3,
"name": "python-job",
"project_id": "<string>",
"timeout_seconds": 300
}
'import requests
url = "https://api.example.com/v1/jobs"
payload = {
"entrypoint": ["<string>"],
"gpu": "none",
"image": "python:3.12-slim",
"max_attempts": 3,
"name": "python-job",
"project_id": "<string>",
"timeout_seconds": 300
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entrypoint: ['<string>'],
gpu: 'none',
image: 'python:3.12-slim',
max_attempts: 3,
name: 'python-job',
project_id: '<string>',
timeout_seconds: 300
})
};
fetch('https://api.example.com/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entrypoint' => [
'<string>'
],
'gpu' => 'none',
'image' => 'python:3.12-slim',
'max_attempts' => 3,
'name' => 'python-job',
'project_id' => '<string>',
'timeout_seconds' => 300
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/jobs"
payload := strings.NewReader("{\n \"entrypoint\": [\n \"<string>\"\n ],\n \"gpu\": \"none\",\n \"image\": \"python:3.12-slim\",\n \"max_attempts\": 3,\n \"name\": \"python-job\",\n \"project_id\": \"<string>\",\n \"timeout_seconds\": 300\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/jobs")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"entrypoint\": [\n \"<string>\"\n ],\n \"gpu\": \"none\",\n \"image\": \"python:3.12-slim\",\n \"max_attempts\": 3,\n \"name\": \"python-job\",\n \"project_id\": \"<string>\",\n \"timeout_seconds\": 300\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/jobs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entrypoint\": [\n \"<string>\"\n ],\n \"gpu\": \"none\",\n \"image\": \"python:3.12-slim\",\n \"max_attempts\": 3,\n \"name\": \"python-job\",\n \"project_id\": \"<string>\",\n \"timeout_seconds\": 300\n}"
response = http.request(request)
puts response.read_body{
"allocated_at": "2023-11-07T05:31:56Z",
"archived_at": "2023-11-07T05:31:56Z",
"attempt": 123,
"cancel_requested": true,
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"entrypoint": [
"<string>"
],
"error_code": "<string>",
"error_message": "<string>",
"gpu": "<string>",
"id": "<string>",
"image": "<string>",
"max_attempts": 123,
"name": "<string>",
"project_id": "<string>",
"provider_name": "<string>",
"ready_at": "2023-11-07T05:31:56Z",
"released_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"status": "queued",
"timeout_seconds": 123,
"updated_at": "2023-11-07T05:31:56Z",
"version": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"field": "<string>",
"type": "<string>"
}
]
},
"request_id": "<string>"
}Authorizations
Body
application/json
Response
Successful Response